Bug 596498 - (CVE-2010-1772) CVE-2010-1772 WebKit: use-after-free vulnerability in handling of geolocation events
CVE-2010-1772 WebKit: use-after-free vulnerability in handling of geolocation...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20100607,repor...
: Security
Depends On: 538236 606304
Blocks: 806808
  Show dependency treegraph
 
Reported: 2010-05-26 16:10 EDT by Vincent Danen
Modified: 2016-03-04 07:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 04:18:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 16:10:12 EDT
A use after free issue exists in WebKit's handling of geolocation events. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handing of geolocation events.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=39388
Trac: http://trac.webkit.org/changeset/59859

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges Justin Schuh as the original reporter.
Comment 3 Vincent Danen 2010-05-28 17:06:28 EDT
Upstream indicates this is a regression probably caused here (via https://bugs.webkit.org/show_bug.cgi?id=37815#c60):

"Reverted r59693 for reason:

Broke GTK Release

Committed r59727: <http://trac.webkit.org/changeset/59727>"

It looks like webkitgtk 1.2.0 is using r56916 based on the ChangeLog entries.  If that is the case, then this would not affect webkitgtk (as we provide it) at all.
Comment 4 Vincent Danen 2010-05-28 17:08:29 EDT
Geolocation is not supported by Konqueror.
Comment 5 Vincent Danen 2010-06-28 13:39:08 EDT
This is being made public now, we've been given the go-ahead from upstream to do so.
Comment 6 Vincent Danen 2010-06-28 13:49:03 EDT
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 606304]
Comment 7 Vincent Danen 2010-06-28 13:49:05 EDT
Created qt tracking bugs for this issue

Affects: fedora-all [bug 538236]
Comment 8 Fedora Update System 2010-07-13 03:39:04 EDT
qt-4.6.3-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-07-13 03:42:44 EDT
qt-4.6.3-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.